Package com.google.protobuf

# Interface ProtocolMessageEnum

All Superinterfaces:
  `Internal.EnumLite`

All Known Implementing Classes:
  `ClientWireProtocol.ConfirmationResponse.ResponseType`, `ClientWireProtocol.ExecuteExplainForSpark.PartitioningType`, `ClientWireProtocol.ExplainFormat`, `ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall`, `ClientWireProtocol.PerformanceMode`, `ClientWireProtocol.Request.RequestType`, `ClientWireProtocol.ServerSignal`, `DescriptorProtos.Edition`, `DescriptorProtos.ExtensionRangeOptions.VerificationState`, `DescriptorProtos.FeatureSet.EnumType`, `DescriptorProtos.FeatureSet.FieldPresence`, `DescriptorProtos.FeatureSet.JsonFormat`, `DescriptorProtos.FeatureSet.MessageEncoding`, `DescriptorProtos.FeatureSet.RepeatedFieldEncoding`, `DescriptorProtos.FeatureSet.Utf8Validation`, `DescriptorProtos.FieldDescriptorProto.Label`, `DescriptorProtos.FieldDescriptorProto.Type`, `DescriptorProtos.FieldOptions.CType`, `DescriptorProtos.FieldOptions.JSType`, `DescriptorProtos.FieldOptions.OptionRetention`, `DescriptorProtos.FieldOptions.OptionTargetType`, `DescriptorProtos.FileOptions.OptimizeMode`, `DescriptorProtos.GeneratedCodeInfo.Annotation.Semantic`, `DescriptorProtos.MethodOptions.IdempotencyLevel`, `Field.Cardinality`, `Field.Kind`, `JavaFeaturesProto.JavaFeatures.Utf8Validation`, `NullValue`, `PluginProtos.CodeGeneratorResponse.Feature`, `Syntax`

public interface ProtocolMessageEnum extends Internal.EnumLite
Interface of useful methods added to all enums generated by the protocol compiler.

## Method Summary

Modifier and Type
Method
Description
`Descriptors.EnumDescriptor`
`getDescriptorForType()`
Return the enum type's descriptor, which contains information about each defined value, etc.
`int`
`getNumber()`
Return the value's numeric value as defined in the .proto file.
`Descriptors.EnumValueDescriptor`
`getValueDescriptor()`
Return the value's descriptor, which contains information such as value name, number, and type.

## Method Details

### getNumber

int getNumber()
Return the value's numeric value as defined in the .proto file.

Specified by:
  `getNumber` in interface `Internal.EnumLite`

### getValueDescriptor

Descriptors.EnumValueDescriptor getValueDescriptor()
Return the value's descriptor, which contains information such as value name, number, and type.

### getDescriptorForType

Descriptors.EnumDescriptor getDescriptorForType()
Return the enum type's descriptor, which contains information about each defined value, etc.